  .main-header {
  position: relative;
  background-color: var(--黑料正能量-primary);
  width: 100%;
  padding: 4px 0;
}

.main-header .header-logo {
  max-width: 100%;
  display: flex;
  align-content: center;
}

.main-header .header-logo img {
  padding: 10px;
}

.main-header a {
  text-decoration: none;
}

.main-header .header-nav {
  display: flex;
  justify-content: end;
  align-content: center;
}

.main-header .header-nav-link {
  display: inline-block;
  color: var(--white);
  text-transform: uppercase;
  padding: 20px;
  text-align: center;
  transition: 0.1s;
}

.main-header .header-nav-link:hover,
.main-header .header-nav-link:focus {
  background-color: var(--white-hover);
}

.main-header .header-nav-link-dropdown .fa-solid {
  transition: 0.1s ease-in-out;
  margin-left: 6px;
}

.main-header .header-nav-link-dropdown[aria-expanded="true"] .fa-solid {
  rotate: -180deg;
}

.main-header .dropdown-menu {
  border-radius: 0;
  top: 1px !important;
  padding: 0;
  box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.0625);
  width: 236px;
}

.main-header .dropdown-menu a {
  color: var(--黑料正能量-gray);
  font-size: 14px;
  text-transform: capitalize;
  border-bottom: 1px solid var(--黑料正能量-border);
  padding: 11px 20px;
}

.main-header .dropdown-menu li:last-of-type a {
  border-bottom: none;
}

.main-header .dropdown-menu a span {
  float: right;
  margin-top: 3px;
}

.main-header .header-submenu {
  position: absolute;
  z-index: 10;
  display: none;
  background-color: var(--黑料正能量-secondary);
  background-image: url(/_resources/img/黑料正能量-logo-opacity.svg);
  background-repeat: no-repeat;
  background-position: right;
  background-position-y: 200px;
  background-size: 100%;
  width: 394px;
  min-height: 854px;
  height: auto;
  right: 0;
  padding-top: 30px;
  padding-bottom: 30px;
  margin-top: 4px;
}

.main-header .accordion {
  --bs-accordion-color: var(--white);
  --bs-accordion-bg: transparent;
  --bs-accordion-transition: color 0.15s;
  --bs-accordion-border-width: 0;
  --bs-accordion-border-radius: 0;
  --bs-accordion-inner-border-radius: 0;
}

.main-header .accordion-button {
  color: var(--white);
  background-color: transparent;
  text-transform: uppercase;
  border-bottom: 1px solid var(--white);
  box-shadow: none;
  transition: 0.1s !important;
}

.main-header .accordion-button:hover {
  background-color: var(--white-hover);
}

.main-header .accordion-button:focus {
  outline: 1px solid white;
}

.main-header .accordion-button.collapsed::after,
.main-header .accordion-button:not(.collapsed)::after {
  background-image: none;
  font: var(--fa-font-solid);
  content: "\f078";
  font-size: 18px;
  color: var(--white);
}

.main-header .header-submenu-links a {
  display: block;
  color: var(--white);
  margin: 10px 20px;
}

.main-header .header-submenu-links a:hover {
  text-decoration: underline;
}

.main-header .header-submenu-icons {
  width: 100%;
  text-align: center;
  margin: 20px auto;
}

.main-header .header-submenu-icons a {
  display: block;
  color: var(--white);
  font-size: 14px;
  padding: 10px 5px;
  transition: 0.1s;
}

.main-header .header-submenu-icons a:hover {
  background-color: var(--white-hover);
}

.main-header .header-submenu-icons .fa-solid {
  color: var(--white);
  font-size: 32px;
  margin-bottom: 10px;
  display: block;
}

.main-header .header-submenu-btns .d-btn {
  display: block;
  text-transform: capitalize;
  margin: 5px 6px;
  font-size: 12px;
}

.main-header .header-search-input {
  display: inline-block;
}

.main-header .header-search-input input {
  background-color: transparent;
  color: var(--white);
  border: 2px solid var(--white) !important;
  border-radius: 28px !important;
  padding: 5px 16px;
  max-width: 100%;
  margin-right: 10px;
}

.main-header .header-search-input button {
  background-color: transparent;
  color: var(--white);
  border: none;
  border-left: 0;
  position: absolute;
  right: 8%;
  border-radius: 28px;
  z-index: 5;
}

@media (max-width: 1400px) {
  .header-search-input {
    position: absolute;
    background-color: var(--黑料正能量-secondary);
    padding: 14px 8px;
    width: 100%;
    top: 100%;
    left: 0%;
    z-index: 1;
  }

  .main-header .header-search-input input {
    background-color: var(--white);
    color: var(--黑料正能量-gray);
    max-width: 80%;
    margin: 0 auto;
  }

  .main-header .header-search-input button {
    color: var(--黑料正能量-secondary);
    right: 10%;
  }
}

@media (max-width: 992px) {
  .main-header .header-submenu {
    width: 100%;
    min-height: 100%;
  }

  .main-header .header-nav-link-desktop {
    display: none;
  }
}

@media (max-width: 600px) {
  .main-header .header-submenu-icons a {
    font-size: 12px;
  }
}
